<?php 
	/**
		* Shortcode
		*
		* @package     Public
		* @subpackage  
		* @copyright   Copyright (c) 2017, Dmytro Lobov
		* @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
		* @since       2.1
	*/
	if ( ! defined( 'ABSPATH' ) ) exit;
	
	extract(shortcode_atts(array('id' => ""), $atts));		
	global $wpdb;
	$table = $wpdb->prefix . "wow_bmp";    
	$sSQL = $wpdb->prepare("select * from $table WHERE id = %d", $id);
	$arrresult = $wpdb->get_results($sSQL); 	
	if (count($arrresult) > 0) {
		foreach ($arrresult as $key => $val) {
			$param = unserialize($val->param);
			$path_style = $this->plugindir.'/asset/css/style-'.$val->id.'.css';
			$path_script = $this->plugindir.'/asset/js/script-'.$val->id.'.js';
			$file_style = $this->plugindir.'/admin/partials/generator/style.php';
			$file_script = $this->plugindir.'/admin/partials/generator/script.php';
			if (file_exists($file_style) && !file_exists($path_style)){
				ob_start();
				include ($file_style);
				$content_style = ob_get_contents();
				ob_end_clean();
				file_put_contents($path_style, $content_style);
			}			
			if (file_exists($file_script) && !file_exists($path_script)){
				ob_start();
				include ($file_script);
				$content_script = ob_get_contents();
				$packer = new JavaScriptPacker($content_script, 'Normal', true, false);
				$packed = $packer->pack();
				ob_end_clean();
				file_put_contents($path_script, $packed);				
			}		
			ob_start();
			include( 'partials/public.php' );
			$menu = ob_get_contents();
			ob_end_clean();
			if ($param['item_user'] == 1 || empty($param['item_user'])) {
				$user = true;
			}
			else if ($param['item_user'] == 2) {
				if (is_user_logged_in() ) {
					if ($param['user_role'] == 'all'){
						$user = true;
					}
					else {
						$current_user = wp_get_current_user();
						if ($param['user_role'] == $current_user->roles[0]){
							$user = true;										
						}
						else {
							$user = false;										
						}									
					}								
				}
				else {
					$user = false;
				}							
			}
			else if ($param['item_user'] == 3) {
				$user = !is_user_logged_in();
			}
			if (!empty($param['depending_language'])) {
				$item_lang = $param['lang'];
				$site_lang = get_locale();				
				if (substr($site_lang, 0, 2) == $item_lang) {
					$lang = true;
				}
				else {
					$lang = false;
				}
			}
			else if (empty($param['depending_language'])){
				$lang = true;
			}				
			if ($user == true && $lang == true ) {
				echo $menu;							
				wp_enqueue_style( $this->pluginname, plugin_dir_url( __FILE__ ) . 'css/style.css', array(), $this->version);				
				if (file_exists($path_style)) {
					$time = !empty($param['time']) ? $param['time'] : '';
					wp_enqueue_style( $this->pluginname.'-'.$val->id, $this->pluginurl. 'asset/css/style-'.$val->id.'.css', array(), $time);	
				}
			}
		}
	} 
return ;