<?php 
	/**
		* Admin Pages
		*
		* @package     
		* @subpackage  
		* @copyright   Copyright (c) 2017, Dmytro Lobov
		* @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
		* @since       2.2
	*/
	
	if ( ! defined( 'ABSPATH' ) ) exit;
	
	$name = $this->name;	
	$pluginname = $this->pluginname;
	$version = $this->version;
	global $wow_company_plugin;	
	$wow_company_plugin = true;		
	$license = get_option( 'wow_license_key_'.self::PREF );
	$status = get_option( 'wow_license_status_'.self::PREF );
	include_once( 'partials/main.php' );
	
	// plugin sctyle & script			
	wp_enqueue_style( $this->pluginname.'-style', $this->pluginurl . 'admin/css/style.css',false, $this->version);
	wp_enqueue_script($this->pluginname.'-script', $this->pluginurl . 'admin/js/script.js', array('jquery'), $this->version);
	// icon style
	wp_enqueue_style( $this->pluginname.'-icon', $this->pluginurl . 'asset/font-awesome/css/font-awesome.min.css', array(), '4.7.0' );
	// iconpicker
	wp_enqueue_script($this->pluginname.'-fonticonpicker', $this->pluginurl . 'admin/fonticonpicker/fonticonpicker.min.js', array('jquery'));
	wp_enqueue_style($this->pluginname.'-fonticonpicker', $this->pluginurl . 'admin/fonticonpicker/css/fonticonpicker.min.css');
	wp_enqueue_style($this->pluginname.'-fonticonpicker-darkgrey', $this->pluginurl . 'admin/fonticonpicker/fonticonpicker.darkgrey.min.css');
	// wp style & script 
	// wp_enqueue_style('wp-color-picker');
	// wp_enqueue_script('wp-color-picker');
	// wp_enqueue_script( 'wp-color-picker-alpha', $this->pluginurl . 'admin/js/wp-color-picker-alpha.js', array( 'wp-color-picker' ));
	// wp_enqueue_script( 'jquery-ui-sortable' );